Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum LandUse

    java.lang.Object
      java.lang.Enum<LandUse>
          org.ka2ddo.yaac.osm.LandUse

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LandUse>, AmenityOrWay, MaybeArea

    public enum LandUse

extends java.lang.Enum<LandUse>
implements MaybeArea, AmenityOrWay

This enum defines the supported values of the landuse="*" attribute in OSM. Note that all Ways with a landuse tag are assumed to be areas. See the definition of landuse on the OpenStreetMap wiki.

Enum Constant Summary
`allotments`
`basin`
`brownfield`
`cemetary`
`commercial`
`conservation`
`construction`
`farm`
`farmland`
`farmyard`
`forest`
`garages`
`grass`
`greenfield`
`greenhouse`
`industrial`
`landfill`
`meadow`
`military`
`orchard`
`place_of_worship`
`plant_nursery`
`port`
`quarry`
`railway`
`recreation`
`reservoir`
`residential`
`retail`
`salt_pond`
`user_defined`
`village_green`
`vineyard`

Method Summary
`AmenityType` | `getAmenityType()` Get amenity type associated with this enumeration; only for types that are amenities.
`boolean` | `isArea()` Indicates whether this enum type implies an area.
`static LandUse` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static LandUse` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LandUse[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`WayType` | `wayType()` Report the WayType for rendering this type of Way.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### user_defined

    public static final LandUse user_defined

### allotments

    public static final LandUse allotments

### basin

    public static final LandUse basin

### brownfield

    public static final LandUse brownfield

### cemetary

    public static final LandUse cemetary

### commercial

    public static final LandUse commercial

### construction

    public static final LandUse construction

### farm

    public static final LandUse farm

### farmland

    public static final LandUse farmland

### farmyard

    public static final LandUse farmyard

### forest

    public static final LandUse forest

### garages

    public static final LandUse garages

### grass

    public static final LandUse grass

### greenfield

    public static final LandUse greenfield

### greenhouse

    public static final LandUse greenhouse

### industrial

    public static final LandUse industrial

### landfill

    public static final LandUse landfill

### meadow

    public static final LandUse meadow

### military

    public static final LandUse military

### orchard

    public static final LandUse orchard

### place_of_worship

    public static final LandUse place_of_worship

### plant_nursery

    public static final LandUse plant_nursery

### quarry

    public static final LandUse quarry

### railway

    public static final LandUse railway

### recreation

    public static final LandUse recreation

### reservoir

    public static final LandUse reservoir

### residential

    public static final LandUse residential

### retail

    public static final LandUse retail

### salt_pond

    public static final LandUse salt_pond

### village_green

    public static final LandUse village_green

### vineyard

    public static final LandUse vineyard

### conservation

    public static final LandUse conservation

### port

    public static final LandUse port

Method Detail

### values

    public static LandUse[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LandUse c : LandUse.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LandUse valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### wayType

    public WayType wayType()

  Report the WayType for rendering this type of Way.

  Specified by:
    `wayType` in interface `AmenityOrWay`
  Returns:
    WayType

### getAmenityType

    public AmenityType getAmenityType()

  Get amenity type associated with this enumeration; only for types that are amenities.

  Specified by:
    `getAmenityType` in interface `AmenityOrWay`
  Returns:
    AmenityType for this type, or null if not an amenity

### value

    public static LandUse value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    LandUse for the string name, or null if no match

### isArea

    public boolean isArea()

  Indicates whether this enum type implies an area.

  Specified by:
    `isArea` in interface `MaybeArea`
  Returns:
    boolean true if Ways with this attribute value are assumed to be areas

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD